Redmine - Defect #6802

Autolinking should not occur in link titles
2010-11-02 18:00 - Alejandro Mery

Status: New Start date: 2010-11-02
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

In [[www|www.example.org]] the title incorrectly gets converted into an external link.

Using 1.0-stable branch.

History

#1 - 2010-11-02 18:22 - Holger Just
- Subject changed from autolinking should not occur for titles to Autolinking should not occur in link titles
- Category set to Text formatting

- Affected version (unused) set to devel

The issue is actually the other way round. The auto linking of URLs (performed by inline_auto_link in textile/formatter occurs occurs first, the wiki link
is only generated after than.

Thus, the above statement is transformed into:
Current behavior
1. [[www|www.example.org]]
2. [[www|<a class="external" href="http://www.example.org">www.example.org</a>]]
3. <a href="/projects/redmine/wiki/www" class="wiki-page new"><a class="external" href="http://www.example.org">www.example.org</a></a>

Expected

1. [[www|www.example.org]]
2. <a href="/projects/redmine/wiki/'www" class="wiki-page new">www.example.org</a>

This might be solved by reordering rendering methods in source:trunk/app/helpers/application_helper.rb#L453 in a way that parse_wiki_links runs
before inline_auto_link. Maybe, these methods need to be included into the textile implementation in source:trunk/lib/redmine/wiki_formatting/textile in
the correct ordering.

#2 - 2010-11-07 15:46 - Jean-Philippe Lang

Redmine links (eg. wiki, ticket links...) should not be handled by the builtin text formatter so we can easily switch to another one.

Maybe we could fix inline_auto_link instead.

#3 - 2018-09-15 03:42 - Go MAEDA

This issue seems to be fixed in Textile. | could not reproduce on Redmine 3.4.6.devel.17477. But it still does not work as expected in Markdown.

#4 - 2018-09-15 22:10 - Alejandro Mery

- Status changed from New to Resolved

Go MAEDA wrote:

This issue seems to be fixed in Textile. | could not reproduce on Redmine 3.4.6.devel.17477. But it still does not work as expected in Markdown.

8 years! amazing. | thought redmine was long dead, feel free to close the ticket.

#5 - 2018-09-16 00:08 - Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/helpers/application_helper.rb#L453
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/wiki_formatting/textile

- Status changed from Resolved to New
